Security Only updates for .NET Framework 3.5, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, and 4.7.2 for Windows 8.1 and Server 2012 R2 (KB 4481485)

Applies to: .NET Framework

Summary


This security update resolves a vulnerability in Microsoft .NET Framework that may cause an information disclosure that allows bypassing Cross-origin Resource Sharing (CORS) configurations.

An attacker who successfully exploits this vulnerability could retrieve from a web application content that is usually restricted.

This security update addresses the vulnerability by enforcing CORS configuration to prevent it from being bypassed.

To learn more about this vulnerability, see Microsoft Common Vulnerabilities and Exposures CVE-2019-0545.
 

Important

  • All updates for Windows 8.1 and Windows Server 2012 R2 require that update 2919355 is installed. We recommend that you install update 2919355 on your Windows 8.1-based or Windows Server 2012 R2-based computer so that you receive updates in the future.
  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Additional information about this security update


The following articles contain additional information about this security update as it relates to individual product versions.
 
  • 4480086 Description of the Security Only update for .NET Framework 3.5 for Windows 8.1 and Server 2012 R2 (KB 4480086)
  • 4480074 Description of the Security Only update for .NET Framework 4.5.2 for Windows 8.1 and Server 2012 R2 (KB 4480074)
  • 4480071 Description of the Security Only update for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, and 4.7.2 for Windows 8.1 and Server 2012 R2 (KB 4480071)

How to obtain help and support for this security update